Bug 333691 - autofs should use acturate time when using pthread_cond_timedwait
autofs should use acturate time when using pthread_cond_timedwait
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ian Kent
Brock Organ
Depends On:
Blocks: 425888
  Show dependency treegraph
Reported: 2007-10-16 04:43 EDT by Ian Kent
Modified: 2008-05-21 10:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0354
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 10:38:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to correct timeval usage (1.85 KB, patch)
2007-10-16 04:43 EDT, Ian Kent
no flags Details | Diff

  None (edit)
Description Ian Kent 2007-10-16 04:43:05 EDT
Description of problem:
An issue where autofs was consuming excessive CPU time
that was due to a change in the kernel time keeping
subsystem. Although this change was reverted the
investigation showed that autofs isn't setting the
fractional part of the timeval struct used when calling
pthread_cond_timedwait. This can lead to shorter than
expected wait times and is just not correct.

How reproducible:
This is a correctness issue and as such doesn't have a
reproducer. Testing that autofs performs as expected
by running against the Connectathon test suite in RHTS
should be ample to verify this doesn't introduce a
Comment 1 Ian Kent 2007-10-16 04:43:05 EDT
Created attachment 228411 [details]
Patch to correct timeval usage
Comment 2 RHEL Product and Program Management 2007-10-16 04:44:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 4 Ian Kent 2007-12-06 01:58:27 EST
This change has been included in autofs-5.0.1-0.rc2.56 (RHEL-5)
and later.

This change is a correctness issue and there is no explicit
way to test it. A sufficient verification would be to run
against the autofs Connectathon test suite under autofs
tests and verify that all mounts properly expire in addition
to ensuring that the Connectathon tests give the expected
Comment 7 errata-xmlrpc 2008-05-21 10:38:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.